PYRO5-NS(1)

NAME
pyro5-ns - pyro name server command line launcher.

SYNOPSIS
 pyro5-ns [-h] [-n HOST] [-p PORT] [-u UNIXSOCKET] [-s STORAGE]
              [--bchost BCHOST] [--bcport BCPORT] [--nathost NATHOST]
              [--natport NATPORT] [-x]

DESCRIPTION
This is a simple command line to easily get a name server running.

OPTIONS

-h, --help
    show this help message and exit

-n HOST, --host HOST
    hostname to bind server on

-p PORT, --port PORT
    port to bind server on (0=random) -u UNIXSOCKET, --unixsocket UNIXSOCKET Unix domain socket name to bind server on -s STORAGE, --storage STORAGE Storage system to use (memory, sql:file)

--bchost BCHOST
    hostname to bind broadcast server on (default is "")

--bcport BCPORT
    port to bind broadcast server on (0=random)

--nathost NATHOST
    external hostname in case of NAT

--natport NATPORT
    external port in case of NAT

-x, --nobc
    don't start a broadcast server

AUTHORS
Written by Irmen de Jong <irmen@razorvine.net>

This manual page was written by Bo YU <tsu.yubo@gmail.com>